<!doctype html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <title>Time tracker · Bootstrap</title>
  <link rel="stylesheet" href="fontawesome/css/all.css" />
  <link rel="stylesheet" href="dist/css/main.css">
</head>

<body>

  <!-- START Template -->
  <script type="text/template" data-detail>
    {% assign actualProjectObject = projects | where: "id", actualProject | first %}
    {% assign actualClient = clients | where: "id", actualProjectObject.clientId | first %}
    {% assign actualTeam = teams | where: "id", actualProjectObject.teamId | first %}


    <div class="wrapper d-flex">

      <!-- START Sidebar -->
      <div class="sidebar-wrapper bg-light border-right">
        <h1 class="sidebar-heading">Time tracker</h1>
        {% assign activeUser = users | where: "id", options.activeUser | first %}
        <div class="sidebar-user bg-light text-primary">{{ activeUser.name }}</div>
        <div class="list-group list-group-flush">
          <a href="index.html" class="list-group-item list-group-item-action bg-light">
            <i class="fas fa-tachometer-alt"></i>
            Dashboard
          </a>
          <a href="time.html" class="list-group-item list-group-item-action bg-light">
            <i class="far fa-clock"></i>
            Time tracking
          </a>
          <a href="projects.html" class="list-group-item list-group-item-action bg-light text-primary">
            <i class="fas fa-project-diagram"></i>
            Projects
          </a>
          <a href="clients.html" class="list-group-item list-group-item-action bg-light">
            <i class="fas fa-star"></i>
            Clients
          </a>
          <a href="teams.html" class="list-group-item list-group-item-action bg-light">
            <i class="fas fa-users-cog"></i>
            Teams
          </a>
          <a href="users.html" class="list-group-item list-group-item-action bg-light">
            <i class="fas fa-users"></i>
            Users
          </a>
          <a href="settings.html" class="list-group-item list-group-item-action bg-light">
            <i class="fas fa-cogs"></i>
            Settings
          </a>
        </div>
      </div>
      <!-- END Sidebar-->
  

      <!-- START Main -->
      <div class="main-wrapper">
  
        <nav class="navbar navbar-expand-lg navbar-light bg-light border-bottom">
          <button class="btn btn-light border" id="js-open-nav">
            <span class="navbar-toggler-icon"></span>
          </button>

          <ul class="nav navbar-nav navbar-right ml-auto mt-2 mt-lg-0">
            <li class="nav-item active">
              <a class="nav-link" href="#" id="js-logout">Log out</a>
            </li>
          </ul>              
        </nav>
  
        <!-- START Content -->
        <div class="container-fluid">


          <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
            <div class="d-flex align-items-center">
              <h2 class="h2">{{ actualProjectObject.name }} - detail</h2>
            </div>
            
            <div class="btn-toolbar mb-2 mb-md-0">
              <div class="btn-group mr-2">
                <a href="../index.html" class="btn btn-sm btn-outline-secondary border">Change framework</a>
                <button type="button" class="btn btn-sm btn-outline-secondary border" id="js-load-data">Reset data</button>
              </div>
            </div>
          </div>
  
  
          <div class="mt-3 mb-3">
            <p class="h1 mb-0 text-info">
              <i class="far fa-clock"></i>
              {% assign filteredEntries = entries | where: "projectId", actualProjectObject.id %}
              <span class="ml-2">{{ filteredEntries | totalTime }}</span> 
            </p>
          </div>
          
  
          <div class="row">
  
            <div class="col-12 col-md-6">
              <h4>Project tracker</h4>
  
              <div class="mt-3">
                <select class="form-control" id="js-entry-filter">
                  {% if special.entryFilter == 0 or special.entryFilter == blank %}
                    <option selected value="0">All members</option>
                  {% else %}
                    <option value="0">All members</option>
                  {% endif %}
                  {% for userId in actualTeam.users %}
                  {% assign user = users | where: "id", userId %}
                    {% if special.entryFilter == user.first.id %}
                      <option selected value="{{ user.first.id }}">{{ user.first.name }}</option>
                    {% else %}
                      <option value="{{ user.first.id }}">{{ user.first.name }}</option>
                    {% endif %}
                  {% endfor %}
                </select>
              </div>
  
              {% assign filteredEntries = entries | where: "projectId", actualProjectObject.id %}
              {% for entry in filteredEntries %}
                {% if special.entryFilter == 0 or special.entryFilter == blank or special.entryFilter == entry.userId %}
                <div class="card bg-light mt-3">
                  <div class="card-body">
  
                    <div class="row align-items-center no-gutters">
                      <div class="col">
                        <h5 class="card-title mb-1">{{ entry.desc }}</h5>
                        <p class="card-text">
                          <small class="text-muted">
                            <span class="text-nowrap mr-3"><i class="far fa-clock"></i> {{ entry.startTime | date: "%H:%M" }} - {{ entry.endTime | date: "%H:%M" }} ({{ entry.startTime | timeDiff: entry.endTime }})</span>
                            <span class="text-nowrap"><i class="far fa-calendar-alt"></i> {{ entry.startTime | date: "%d.%m.%Y" }}</span>
                          </small>
                        </p>  
                      </div>
                      <div class="col-auto">
                        {% assign entryUser = users | where: "id", entry.userId %}
                        <button type="button" class="btn btn-secondary" data-toggle="tooltip" data-placement="left" title="{{ entryUser.first.name }}">
                          <i class="fas fa-user"></i>
                        </button>
                      </div>
                    </div>
  
                  </div>
                </div>
                {% endif %}
              {% endfor %}
  
            </div>
  
  
            <div class="col-12 col-md-6 mt-4 mt-md-0">
              <h4>Project tasks</h4>
  
              <div class="mt-3">
                <select class="form-control" id="js-task-filter">
                  {% if special.taskFilter == 0 or special.taskFilter == blank %}
                    <option selected value="0">All members</option>
                  {% else %}
                    <option value="0">All members</option>
                  {% endif %}
                  {% for userId in actualTeam.users %}
                  {% assign user = users | where: "id", userId %}
                    {% if special.taskFilter == user.first.id %}
                      <option selected value="{{ user.first.id }}">{{ user.first.name }}</option>
                    {% else %}
                      <option value="{{ user.first.id }}">{{ user.first.name }}</option>
                    {% endif %}
                  {% endfor %}
                </select>
              </div>
  
              {% assign filteredTasks = tasks | where: "projectId", actualProjectObject.id %}
              {% for task in filteredTasks %}
                {% if task.status == 0 %}
                {% if special.taskFilter == 0 or special.taskFilter == blank or special.taskFilter == task.userId %}
                <div class="card bg-light mt-3">
                  <div class="card-body">
                    <div class="row align-items-center no-gutters">
                      <div class="col">
                        <h5 class="card-title mb-1 text-info">{{ task.name }}</h5>
                        <p class="card-text"><small class="text-muted">{{ task.desc }}</small></p>
                      </div>
                      <div class="col-auto">
                        {% assign taskUser = users | where: "id", task.userId %}
                        <button type="button" class="btn btn-secondary" data-toggle="tooltip" data-placement="left" title="{{ taskUser.first.name }}">
                          <i class="fas fa-user"></i>
                        </button>
  
                        {% if actualProjectObject.active == 1 %}
                          <button type="button" class="btn btn-success" data-finish-task="{{ task.id }}"><i class="fas fa-check"></i></button>
                          <button type="button" class="btn btn-danger" data-delete-task="{{ task.id }}"><i class="fas fa-trash-alt"></i></button>
                        {% endif %}
  
                      </div>
                    </div>
                  </div>
                </div>
                {% endif %}
                {% endif %}
              {% endfor %}
  
              
              <div class="mt-3">
                {% if actualProjectObject.active == 1 %}
                  <button type="button" class="btn btn-lg btn-primary"  data-toggle="modal" data-target="#addTask"><i class="fas fa-plus"></i> New task</button>
                {% else %}
                  <h4>Finished tasks</h4>
                {% endif %}
              </div>
  
  
              {% for task in filteredTasks %}
                {% if task.status == 1 %}
                {% if special.taskFilter == 0 or special.taskFilter == blank or special.taskFilter == task.userId %}
                <div class="card bg-light mt-3">
                  <div class="card-body">
                    <div class="row align-items-center no-gutters">
                      <div class="col">
                        <h5 class="card-title mb-1 text-success">{{ task.name }}</h5>
                        <p class="card-text"><small class="text-muted">{{ task.desc }}</small></p>
                      </div>
                      <div class="col-auto">
                        {% assign taskUser = users | where: "id", task.userId %}
                        <button type="button" class="btn btn-success" data-toggle="tooltip" data-placement="left" title="{{ taskUser.first.name }}">
                          <i class="fas fa-user"></i>
                        </button>
                      </div>
                    </div>
                  </div>
                </div>
                {% endif %}
                {% endif %}
              {% endfor %}
  
            </div>
          </div>
  
  
          <hr class="my-4">
  
  
          <div class="row">
            <div class="col-12 col-md-6">
              <h4>Assigned client</h4>
  
              <div class="mt-3">
                <div class="alert alert-info">           
                  {{ actualClient.name }}
                </div>
              </div>
            </div>
  
            <div class="col-12 col-md-6 mt-4 mt-md-0">
              <h4>Project team</h4>
  
              <div class="mt-3">
                <div class="alert alert-dark">
                  {{ actualTeam.name }}
                </div>
              </div>
              
            </div>
          </div>
  
  
          <hr class="my-4">
  
          {% if actualProjectObject.active == 1 %}
            <div class="mb-4">
              <button type="button" class="btn btn-lg btn-warning" data-finish-project="{{ actualProjectObject.id }}"><i class="fas fa-check-double"></i> Finish project</button>
            </div>        
          {% else %}
            <div class="mt-3 mb-3">
              <p class="h1 mb-0 text-success">
                <span class="ml-2">Project is already finished</span> 
              </p>
            </div>
          {% endif %}


        </div>
        <!-- END Content -->


      </div>
      <!-- END Main -->
  
    </div>
    <!-- END Wrapper -->


    <!-- START Modal -->
    <div class="modal fade" id="addTask" tabindex="-1" role="dialog" aria-labelledby="ModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
  
          <form id="js-add-task">
  
            <div class="modal-header">
              <h5 class="modal-title" id="ModalLabel">New task</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              
              <div class="form-group">
                <label>Task name</label>
                <input type="text" class="form-control" name="name" required>
              </div>
              <div class="form-group">
                <label>Task description</label>
                <input type="text" class="form-control" name="desc" required>
              </div>
              <div class="form-group">
                <label>Users</label>
                <select class="form-control" name="userId" required>
                  <option value="" disabled selected hidden>Assign user</option>
                  {% for userId in actualTeam.users %}
                    {% assign user = users | where: "id", userId %}
                    <option value="{{ user.first.id }}">{{ user.first.name }}</option>
                  {% endfor %}
                </select>
              </div>

              <input type="hidden" name="projectId" value="{{ actualProjectObject.id }}" required>
              
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
              <button type="submit" class="btn btn-primary">Add</button>
            </div>
  
          </form>
        </div>
      </div>
    </div>
    <!-- END Modal -->
    
  </script>
  <!-- END Template -->

  <div id="render">
  </div>

  <script src="dist/js/app.js"></script>
</body>

</html>